package com.fr.plugin.decision.auth;

import com.fr.plugin.context.PluginContext;
import com.fr.plugin.decision.auth.config.AuthLoginPluginConfig;
import com.fr.plugin.decision.auth.config.SsoLoginPluginConfig;
import com.fr.plugin.observer.inner.AbstractPluginLifecycleMonitor;
import com.fr.plugin.transform.FunctionRecorder;

@FunctionRecorder
public class LoginPluginLifecycle extends AbstractPluginLifecycleMonitor {

    @Override
    public void afterRun(PluginContext pluginContext) {
        SsoLoginPluginConfig.getInstance();
        AuthLoginPluginConfig.getInstance();
    }

    @Override
    public void beforeStop(PluginContext pluginContext) {

    }
}
